<div class="container">
  <form #formMainConfig="ngForm" novalidate (ngSubmit)="onSubmit(formMainConfig)">
    <table>
      <tr>
        <td>
          <mat-form-field [style.fontSize]="fontSize">
            <input matInput placeholder="Комиссия за поездку в %" name="commissionForFine"
                   [formControl]="commissionForFineForm"
                   [(ngModel)]="commissionForFine" required pattern="^([0-9]*$)|^(\s*$)">
          </mat-form-field>
        </td>
        <td>
          <mat-form-field [style.fontSize]="fontSize">
            <input matInput placeholder="Минимальная цена поездки" name="amountFine" [formControl]="amountFineForm"
                   [(ngModel)]="amountFine"
                   required pattern="^([0-9]*$)|^(\s*$)">
          </mat-form-field>
        </td>
      </tr>
      <br>
      <tr>
        <td>
          <mat-form-field [style.fontSize]="fontSize">
            <input matInput placeholder="Минимальный баланс водителя" name="minBalanceDriver"
                   [formControl]="minBalanceDriverForm"  [(ngModel)]="minBalanceDriver" required
                   pattern="^([0-9]*$)|^(\s*$)">
          </mat-form-field>
        </td>
        <td>
          <mat-form-field [style.fontSize]="fontSize">
            <input matInput placeholder="Максимальное кол-во остановок" name="maxCountHalt"
                   required pattern="^([0-9]*$)|^(\s*$)" [formControl]="maxCountHaltForm" [(ngModel)]="maxCountHalt">
          </mat-form-field>
        </td>
        <td>
          <mat-form-field [style.fontSize]="fontSize">
            <input matInput placeholder="Время бесплатного ожидания(сек)" name="timeFreeWaiting"
                    required pattern="^([0-9]*$)|^(\s*$)"
                   [formControl]="timeFreeWaitingForm" [(ngModel)]="timeFreeWaiting">
          </mat-form-field>
        </td>
      </tr>
      <tr>
        <td>
          <mat-form-field [style.fontSize]="fontSize">
            <input matInput placeholder="Изменение цены за остановку" name="priceForHalt"
                    required pattern="^([0-9]*$)|^(\s*$)" [formControl]="priceForHaltForm" [(ngModel)]="priceForHalt">
          </mat-form-field>
        </td>
        <td>
          <mat-form-field [style.fontSize]="fontSize">
            <input matInput placeholder="Изменение цены за остановку в путии" name="priceForHaltInWay"
                    required pattern="^([0-9]*$)|^(\s*$)"
                   [formControl]="priceForHaltInWayForm" [(ngModel)]="priceForHaltInWay">
          </mat-form-field>
        </td>
        <td>
          <mat-form-field [style.fontSize]="fontSize">
            <input matInput placeholder="Авто-отмена заказа без назначения водителя(сек)"
                   name="timeForCancelOrderWithoutDriver"
                    required pattern="^([0-9]*$)|^(\s*$)"
                   [formControl]="timeForCancelOrderWithoutDriverForm" [(ngModel)]="timeForCancelOrderWithoutDriver">
          </mat-form-field>
        </td>
      </tr>
      <tr>
        <td>
          <mat-form-field [style.fontSize]="fontSize">
            <input matInput placeholder="Минимальный допустимый баланс для принятия заказа"
                   name="minBalanceDriverForAcceptOrder"
                    required pattern="^([0-9]*$)|^(\s*$)"
                   [formControl]="minBalanceDriverForAcceptOrderForm" [(ngModel)]="minBalanceDriverForAcceptOrder">
          </mat-form-field>
        </td>
        <td>
          <mat-form-field [style.fontSize]="fontSize">
            <input matInput placeholder="Время автозавершения заказа(сек)" name="timeForFinishOrder"
                    required pattern="^([0-9]*$)|^(\s*$)"
                   [formControl]="timeForFinishOrderForm" [(ngModel)]="timeForFinishOrder">
          </mat-form-field>
        </td>
        <td>
          <mat-form-field [style.fontSize]="fontSize">
            <input matInput placeholder="Время автозавершения заказа без оценки(сек)"
                   name="timeForFinishOrderWithoutRating"
                    required pattern="^([0-9]*$)|^(\s*$)"
                   [formControl]="timeForFinishOrderWithoutRatingForm" [(ngModel)]="timeForFinishOrderWithoutRating">
          </mat-form-field>
        </td>
      </tr>
      <tr>
        <td>
          <mat-form-field [style.fontSize]="fontSize">
            <input matInput placeholder="Проверка статуса дозвона клиенту (сек)" name="timeForCheckStatusCallClient"
                    required pattern="^([0-9]*$)|^(\s*$)"
                   [formControl]="timeForCheckStatusCallClientForm" [(ngModel)]="timeForCheckStatusCallClient">
          </mat-form-field>
        </td>
        <td>
          <mat-form-field [style.fontSize]="fontSize">
            <input matInput placeholder="Интервал проверки статуса отзвона(сек)" name="intervalForCheckStatusCallClient"
                    required pattern="^([0-9]*$)|^(\s*$)"
                   [formControl]="intervalForCheckStatusCallClientForm" [(ngModel)]="intervalForCheckStatusCallClient">
          </mat-form-field>
        </td>
        <td>
          <mat-form-field [style.fontSize]="fontSize">
            <input matInput placeholder="Кол-во проверок отзвона" name="countForCheckStatusCallClient"
                    required pattern="^([0-9]*$)|^(\s*$)"
                   [formControl]="countForCheckStatusCallClientForm" [(ngModel)]="countForCheckStatusCallClient">
          </mat-form-field>
        </td>
      </tr>
      <tr>
        <td>
          <mat-form-field [style.fontSize]="fontSize">
            <input matInput placeholder="Время не явки клиента для отмены заказа (сек)" name="timeForCancelOrder"
                    required pattern="^([0-9]*$)|^(\s*$)"
                   [formControl]="timeForCancelOrderForm" [(ngModel)]="timeForCancelOrder">
          </mat-form-field>
        </td>
        <td>
          <mat-form-field [style.fontSize]="fontSize">
            <input matInput placeholder="Дозвон повышения цены (сек)" name="callForUpPrice"
                    required pattern="^([0-9]*$)|^(\s*$)" [formControl]="callForUpPriceForm" [(ngModel)]="callForUpPrice">
          </mat-form-field>
        </td>
        <td>
          <mat-form-field [style.fontSize]="fontSize">
            <input matInput placeholder="Изменение цены за минуту платного ожидания" name="priceForMinWaiting"
                   required pattern="^([0-9]*$)"
                   [formControl]="priceForMinWaitingForm"  [(ngModel)]="priceForMinWaiting">
          </mat-form-field>
        </td>
      </tr>
    </table>
    <button class="saved_button" [disabled]="formMainConfig.invalid && priceForMinWaitingForm.invalid" type="submit" mat-raised-button color="primary">
      Сохранить
    </button>
  </form>

</div>
